<!-- @format -->

<template>
  <div class="chapter" num="9">
    <div class="page-box" page="248">
      <div v-if="showPageList.indexOf(248) > -1">
        <div class="bodystyle textHeader">
          <div class="bj-img08">
            <div class="bj-empyt-chapter"></div>
            <div class="bj-text">
              <p>
                “带动三亿人参与冰雪运动”，是习近平总书记对
                开展群众性冰雪运动的谆谆嘱托，也是冰雪运动实现
                跨越式发展的良好契机，对建设体育强国和开展全民
                健身具有重要的战略意义。我国传统冰雪运动历史悠
                久，源远流长，是中华优秀传统文化的组成部分之一。
                举办北京第 24 届冬季奥林匹克运动会（后简称“北
                京冬奥会”），彰显出我国在冬季运动方面取得的非凡
                成就，开启了全球冬季运动的新时代。在北京冬奥会
                开幕式上，二十四节气倒计时，各行业、各民族代表
                及国家功勋人士传递国旗，冰立方“破冰”，“迎客松”
                空中焰火，融合各参赛国家（地区）名的大雪花，在
                童声合唱中点燃奥运的“微火”，等等，不仅体现出“更
                快、更高、更强、更团结”的奥运精神及“绿色、共享、
                开放、廉洁”的办奥理念，而且弘扬了我国优秀文化，
                很好地传播了中国声音，为世界人民讲好了中国故事。
              </p>
              <p>
                冰雪运动对同学们享受运动乐趣，锤炼在寒冷的
                环境中坚持参与运动的意志品质，增强体质，提高免
                疫力等具有特殊的价值。本单元设置了滑冰（速度滑
                冰）、滑雪（高山滑雪）两个项目，希望为同学们的终
                身锻炼技能“拼图”补上冰雪运动这一“片”，为培养
                同学们的坚强意志、不惧挑战的心理品格提供保障。
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="page-box" page="249">
      <div v-if="showPageList.indexOf(249) > -1">
        <div class="bodystyle">



        </div>
      </div>
    </div>


  </div>
</template>

<script>
import { getResourcePath } from '@/assets/methods/resources'
export default {
  name: 'chapter007-page',
  props: {
    showPageList: {
      type: Array,
    },
    questionData: {
      type: Object,
    },
    isSearch: {
      type: Boolean,
      default: false,
    },
  },
  components: {},
  data() {
    return {
      isShowXyx01: false,
      isShowXyx02: false,
      isShowXyx03: false,
      chapter007: {
        textBybItem1: '',
        pdfMd5: {
          1: {
            md5: '',
            name: '',
          },


        },
        videoMd5: {
          v1: {
            md5: '',
            name: '',
          },
        },
        videoUrl: {},
        videoShow1: false,
        videoShow2: false,
        videoShow3: false,
        videoShow4: false,
        videoShow5: false,

        videoShow6: false,
        videoShow7: false,
        videoShow8: false,
        videoShow9: false,
        videoShow10: false,

        videoShow11: false,
      },
    }
  },
  computed: {},
  watch: {},
  created() {
    if (!this.isSearch) {
      this.getVideo(this.chapter007.videoMd5.v1.md5, 'v1')
    }
  },
  mounted() { },
  methods: {
    async getVideo(md5, val) {
      const data = await getResourcePath(md5)
      // console.log(data);

      this.chapter007.videoUrl[val] = data
    },
    toUrl(val) {
      if (val) {
        const obj = {
          type: 'pdf',
          data: {
            md5: this.chapter007.pdfMd5[val].md5,
            title: this.chapter007.pdfMd5[val].name,
          },
        }
        this.$emit('openPDFChange', obj)
      }
    },

    activityXyx1() {
      this.isShowXyx01 = !this.isShowXyx01

      this.chapter007.videoShow1 = true

      setTimeout(() => {
        this.chapter007.videoShow2 = true
      }, 1000)

      setTimeout(() => {
        this.chapter007.videoShow3 = true
      }, 3000)

      setTimeout(() => {
        this.chapter007.videoShow4 = true
      }, 5000)

      setTimeout(() => {
        this.chapter007.videoShow5 = true
      }, 7000)
    },
    activityXyx2() {
      this.isShowXyx02 = !this.isShowXyx02

      this.chapter007.videoShow6 = true

      setTimeout(() => {
        this.chapter007.videoShow7 = true
      }, 1000)

      setTimeout(() => {
        this.chapter007.videoShow8 = true
      }, 3000)

      setTimeout(() => {
        this.chapter007.videoShow9 = true
      }, 5000)

      setTimeout(() => {
        this.chapter007.videoShow10 = true
      }, 7000)
    },
    activityXyx3() {
      this.isShowXyx03 = !this.isShowXyx03

      this.chapter007.videoShow11 = true
    },
  },
}
</script>

<style lang="less" scoped></style>
